Bug 9388 - Compatibility with newer versions of system heimdal
Compatibility with newer versions of system heimdal
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.0rc4
All Linux
: P5 major
: ---
Assigned To: Love
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2012-11-12 17:21 UTC by Jelmer Vernooij
Modified: 2014-06-10 21:54 UTC (History)
3 users (show)

See Also:


Attachments
Patch for new heimdal API (1.40 KB, patch)
2012-11-16 00:33 UTC, Samuel Cabrero
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jelmer Vernooij 2012-11-12 17:21:27 UTC
There are some slight changes in the Heimdal windc API that make cause Samba4 to break when used with newer versions of Heimdal. Samba 4 should be able to work with newer versions of Heimal, too.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686227 for background.
Comment 1 Jelmer Vernooij 2012-11-12 17:25:13 UTC
Debian and Ubuntu build against the system heimdal, so this is a fairly big issue.
Comment 2 Stefan Metzmacher 2012-11-13 09:22:40 UTC
Jelmer, are commits da284b3765e3c73d204fe2c8b45d6fbd2c08d451 and da284b3765e3c73d204fe2c8b45d6fbd2c08d451^ related to this?
Comment 3 Jelmer Vernooij 2012-11-13 13:52:10 UTC
(In reply to comment #2)
> Jelmer, are commits da284b3765e3c73d204fe2c8b45d6fbd2c08d451 and
> da284b3765e3c73d204fe2c8b45d6fbd2c08d451^ related to this?
Not really, only so much in that the first is also related to building with the system Heimdal.

da284b3765e3c73d204fe2c8b45d6fbd2c08d451^ was just a minor cleanup. 

da284b3765e3c73d204fe2c8b45d6fbd2c08d451 was a patch we've been carrying in the Debian/Ubuntu packages for a while that I decided to upstream. It's required for the basic chroot in which the packages get built, since there usually isn't a config.h around there.
Comment 4 Samuel Cabrero 2012-11-16 00:33:06 UTC
Created attachment 8205 [details]
Patch for new heimdal API

Hi,

this patch seems to solve the issue, adapting the samba_wdc_check_client_access function to the new heimdal API. I am not a heimdal developer so it would be great if someone can review it. At least it seems to work and samba doesn't crash any more.
Comment 5 Jelmer Vernooij 2012-11-16 00:46:18 UTC
(In reply to comment #4)
> Created attachment 8205 [details]
> Patch for new heimdal API
> 
> Hi,
> 
> this patch seems to solve the issue, adapting the samba_wdc_check_client_access
> function to the new heimdal API. I am not a heimdal developer so it would be
> great if someone can review it. At least it seems to work and samba doesn't
> crash any more.
Thanks for the patch, Samuel. We'll need some #ifdefs as Samba itself still includes an older copy of Heimdal without these changes, and we should still support building against older versions as well.

I'm not super familiar with this side of the code, but perhaps Andrew has some time to have a look..
Comment 6 Björn Jacke 2013-08-28 23:00:51 UTC
undoing this a blocker bug, but...

Love (hope your bugzilla mail address is still valid), can you have a look at this? Also a great chance to play some more with samba again ;-)
Comment 7 Stefan Metzmacher 2014-01-11 09:57:30 UTC
Jelmer, the last messages in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686227
indicate that this is fixed?

Can we close this bug?
Comment 8 Jelmer Vernooij 2014-01-13 12:20:47 UTC
I landed a patch for this, but it has some open issues which are currently being addressed on samba-technical@.